import { defineConfig, loadEnv, splitVendorChunkPlugin } from 'vite';
import vue from '@vitejs/plugin-vue';
import { networkInterfaces } from 'os';

// https://vitejs.dev/config/
export default defineConfig((mode) => {
  const env = loadEnv(mode, process.cwd(), "");
  return {
    server: {
      //host: Object.values(networkInterfaces()).flat().find(i => i.family === 'IPv4' && !i.internal).address,
      host: 'localhost',
      port: parseInt(env.VITE_PORT ?? 5173),
      hmr: {
        host: 'localhost',
      },
    },
    plugins: [ vue(), splitVendorChunkPlugin() ],
    resolve: {
      vue: 'vue/dist/vue.esm-bundler.js',
    },
    build: {
      chunkSizeWarningLimit: 2048,
    },
  };
});
